(GET) por ID
API Endpoint
https://api.omnik.io/HUB/v1/products/skus/{id}
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/products/skus/{id}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
Result example 2xx:
{
"active": true,
"skuData": {
"id": "string",
"tenant": "string",
"sku": "string",
"skuName": "string",
"gtin": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string",
"description": "string",
"descriptionHTML": "string"
},
"productData": {
"id": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
],
"marketplaces": [
{
"marketplace": "string",
"marketPlaceId": "string",
"commissionValue": 0,
"lastUpdate": "1970-01-01T00:00:00.000000",
"active": true
}
]
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Consulta de SKU pelo ID
Path Parameters
| Campo |
Tipo |
Descrição |
| id |
string |
(required) ID do SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Query Parameters
| Campo |
Tipo |
Descrição |
| inventory |
string |
(optional) Incluir Estoque atualizado? Default: false |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| active | boolean | SKU ativo? |
| skuData | object | Dados do SKU: id, tenant, sku, skuName, gtin, model, crossdockingDays, supplierCode, erpCode, moderationStatus, productType, productCondition, description, descriptionHTML. |
| productData.id | string | ID do Produto pai. |
| codes | array | Códigos adicionais do SKU. |
| priceData | object | Preços: fromPrice (preço de), price (preço por), costPrice (preço de custo). |
| stockData | object | Estoque: stock (saldo atual), minStock (estoque mínimo). |
| packageDimensionData | object | Dimensões da embalagem: width, height, depth, grossWeight. |
| images | array | Imagens: thumbnail, small, average, big, link, main, number. |
| attributes | array | Atributos de variação: name, value. |
| marketplaces | array | Marketplaces onde o SKU está publicado. |
(POST) /products/{id}/sku
API Endpoint
https://api.omnik.io/HUB/v1/products/{id}/sku/
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/products/{id}/sku/' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json' \
--data '{
"active": true,
"skuData": {
"sku": "string",
"skuName": "string",
"gtin": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
]
}'
Result example 2xx:
{
"active": true,
"skuData": {
"id": "string",
"tenant": "string",
"sku": "string",
"skuName": "string",
"gtin": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string",
"description": "string",
"descriptionHTML": "string"
},
"productData": {
"id": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
],
"marketplaces": [
{
"marketplace": "string",
"marketPlaceId": "string",
"commissionValue": 0,
"lastUpdate": "1970-01-01T00:00:00.000000",
"active": true
}
]
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Incluir SKU em um Produto existente.
Path Parameters
| Campo |
Tipo |
Descrição |
| id |
string |
(required) ID do Produto |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Body Parameters
| Campo |
Tipo |
Descrição |
| skuData.sku | string | (required) Código único do SKU no Seller. |
| skuData.skuName | string | (required) Nome do SKU. |
| skuData.gtin | string | (optional) Código GTIN/EAN. |
| skuData.model | string | (optional) Modelo. |
| skuData.crossdockingDays | integer | (optional) Dias de crossdocking. |
| skuData.supplierCode | string | (optional) Código do fornecedor. |
| skuData.erpCode | string | (optional) Código no ERP. |
| skuData.productType | string | (optional) Tipo do produto. |
| skuData.productCondition | string | (optional) Condição: NEW, USED, RENEWED. |
| priceData.price | number | (optional) Preço de venda. |
| priceData.fromPrice | number | (optional) Preço de (original). |
| priceData.costPrice | number | (optional) Preço de custo. |
| stockData.stock | integer | (optional) Saldo de estoque. |
| stockData.minStock | integer | (optional) Estoque mínimo. |
| packageDimensionData | object | (optional) Dimensões da embalagem: width, height, depth, grossWeight. |
| images | array | (optional) Imagens: link, main, number. |
| attributes | array | (optional) Atributos de variação: name, value. |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| active | boolean | SKU ativo? |
| skuData.id | string | ID interno do SKU gerado pelo Hub. |
| skuData.sku | string | Código do SKU no Seller. |
| skuData.skuName | string | Nome do SKU. |
| skuData.moderationStatus | string | Status de moderação: PENDENTE ou APROVADO. |
| productData.id | string | ID do Produto pai. |
| priceData | object | Preços: fromPrice, price, costPrice. |
| stockData | object | Estoque: stock, minStock. |
| images | array | Imagens do SKU. |
| marketplaces | array | Marketplaces onde o SKU está publicado. |
(PUT) /products/{id}/sku/{idSKU}
API Endpoint
https://api.omnik.io/HUB/v1/products/{id}/sku/{idSKU}
# Here is a curl example
curl --location --request \
PUT 'https://api.omnik.io/HUB/v1/products/{id}/sku/{idSKU}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
--data '{
"active": true,
"skuData": {
"id": "string",
"sku": "string",
"skuName": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
]
}'
Result example 2xx:
{
"active": true,
"skuData": {
"id": "string",
"tenant": "string",
"sku": "string",
"skuName": "string",
"gtin": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string",
"description": "string",
"descriptionHTML": "string"
},
"productData": {
"id": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
],
"marketplaces": [
{
"marketplace": "string",
"marketPlaceId": "string",
"commissionValue": 0,
"lastUpdate": "1970-01-01T00:00:00.000000",
"active": true
}
]
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Alterar SKU completamente (PUT substitui todos os campos do SKU identificado pelo idSKU).
Path Parameters
| Campo |
Tipo |
Descrição |
| id |
string |
(required) ID do Produto |
| idSKU |
string |
(required) ID do SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Body Parameters
| Campo |
Tipo |
Descrição |
| skuData.sku | string | (optional) Código do SKU no Seller. |
| skuData.skuName | string | (optional) Nome do SKU. |
| skuData.gtin | string | (optional) Código GTIN/EAN. |
| skuData.crossdockingDays | integer | (optional) Dias de crossdocking. |
| skuData.productType | string | (optional) Tipo do produto. |
| skuData.productCondition | string | (optional) Condição: NEW, USED, RENEWED. |
| priceData.price | number | (optional) Preço de venda. |
| priceData.fromPrice | number | (optional) Preço de (original). |
| stockData.stock | integer | (optional) Saldo de estoque. |
| packageDimensionData | object | (optional) Dimensões da embalagem. |
| images | array | (optional) Imagens do SKU. |
| attributes | array | (optional) Atributos de variação. |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| active | boolean | SKU ativo? |
| skuData | object | Dados atualizados do SKU. |
| productData.id | string | ID do Produto pai. |
| priceData | object | Preços atualizados: fromPrice, price, costPrice. |
| stockData | object | Estoque atualizado: stock, minStock. |
| images | array | Imagens do SKU. |
| marketplaces | array | Marketplaces onde o SKU está publicado. |
(PATCH) /products/{id}/sku/{idSKU}
API Endpoint
https://api.omnik.io/HUB/v1/products/{id}/sku/{idSKU}
# Here is a curl example
curl --location --request \
PATCH 'https://api.omnik.io/HUB/v1/products/{id}/sku/{idSKU}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
--data '{
"active": true,
"tenant": "string",
"productData": {
"active": true,
"productName": "string",
"description": "string",
"descriptionHTML": "string",
"brand": "string",
"tags": "string",
"warranty": 0,
"variant": true,
"unit": "string",
"unitInitials": "string"
},
"codes": [
{
"code": "string"
}
],
"productDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"categoryData": {
"id": "string",
"code": "string",
"name": "string"
},
"attributes": [
{
"id": "string",
"name": "string",
"value": "string",
"required": true
}
],
"skus": [
{
"active": true,
"skuData": {
"id": "string",
"sku": "string",
"skuName": "string",
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
]
}
]
}'
Result example 2xx:
{
"tenant": "string",
"operator": "string",
"account": "string",
"createDate": "1970-01-01T00:00:00.000000",
"lastUpdate": "1970-01-01T00:00:00.000000",
"productData": {
"active": true,
"id": "string",
"productName": "string",
"description": "string",
"descriptionHTML": "string",
"brand": "string",
"tags": "string",
"warranty": 0,
"variant": true,
"unit": "string",
"unitInitials": "string"
},
"codes": [
{
"code": "string"
}
],
"productDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"taxData": {
"icmsOriginId": "string",
"icmsOriginName": "string",
"ncmData": {
"id": "string",
"ncm": "string"
}
},
"categoryData": {
"id": "string",
"code": "string",
"name": "string"
},
"categories": [
{
"channel": "string",
"tag": "string",
"id1": "string",
"name1": "string",
"id2": "string",
"name2": "string",
"id3": "string",
"name3": "string",
"id4": "string",
"name4": "string",
"id5": "string",
"name5": "string",
"id6": "string",
"name6": "string",
"id7": "string",
"name7": "string",
"id8": "string",
"name8": "string"
}
],
"attributes": [
{
"id": "string",
"name": "string",
"value": "string",
"required": true
}
],
"skus": [
{
"active": true,
"skuData": {
"id": "string",
"tenant": "string",
"sku": "string",
"skuName": "string",
"gtin": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string",
"description": "string",
"descriptionHTML": "string"
},
"productData": {
"id": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
],
"marketplaces": [
{
"marketplace": "string",
"marketPlaceId": "string",
"commissionValue": 0,
"lastUpdate": "1970-01-01T00:00:00.000000",
"active": true
}
]
}
],
"marketplaces": [
{
"marketplace": "string",
"marketPlaceId": "string",
"commissionValue": 0,
"lastUpdate": "1970-01-01T00:00:00.000000",
"active": true
}
]
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Alterar SKU parcialmente (PATCH atualiza apenas os campos enviados).
Path Parameters
| Campo |
Tipo |
Descrição |
| id |
string |
(required) ID do Produto |
| idSKU |
string |
(required) ID do SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Body Parameters
| Campo |
Tipo |
Descrição |
| skuData | object | (optional) Dados a atualizar: sku, skuName, gtin, crossdockingDays, productType, productCondition. |
| priceData | object | (optional) Preços a atualizar: price, fromPrice, costPrice. |
| stockData | object | (optional) Estoque a atualizar: stock, minStock. |
| packageDimensionData | object | (optional) Dimensões da embalagem. |
| images | array | (optional) Imagens do SKU. |
| attributes | array | (optional) Atributos de variação. |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| active | boolean | SKU ativo? |
| skuData | object | Dados atualizados do SKU. |
| productData.id | string | ID do Produto pai. |
| priceData | object | Preços atualizados. |
| stockData | object | Estoque atualizado. |
| images | array | Imagens do SKU. |
| marketplaces | array | Marketplaces onde o SKU está publicado. |
(DELETE) /products/{id}/sku/{idSKU}
API Endpoint
https://api.omnik.io/HUB/v1/products/{id}/sku/{idSKU}
# Here is a curl example
curl --location --request \
DELETE 'https://api.omnik.io/HUB/v1/products/{id}/sku/{idSKU}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
Result example 2xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Deletar SKU. Somente usuários com perfil HUB podem executar esta operação. SKUs publicados em marketplaces não podem ser removidos.
Path Parameters
| Campo |
Tipo |
Descrição |
| id |
string |
(required) ID do Produto |
| idSKU |
string |
(required) ID do SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| code | integer | Código de resposta. |
| type | string | Tipo de resposta. |
| message | string | Mensagem de confirmação da exclusão. |
| messages | array | Lista de mensagens adicionais. |
(GET) /skuseller/{sku}
API Endpoint
https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
Result example 2xx:
{
"active": true,
"skuData": {
"id": "string",
"tenant": "string",
"sku": "string",
"skuName": "string",
"gtin": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string",
"description": "string",
"descriptionHTML": "string"
},
"productData": {
"id": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
],
"marketplaces": [
{
"marketplace": "string",
"marketPlaceId": "string",
"commissionValue": 0,
"lastUpdate": "1970-01-01T00:00:00.000000",
"active": true
}
]
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Consulta de SKU pelo Código de sku do Seller
Path Parameters
| Campo |
Tipo |
Descrição |
| sku |
string |
(required) Código de SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Query Parameters
| Campo |
Tipo |
Descrição |
| inventory |
string |
(optional) Incluir Estoque atualizado? Default: false |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| active | boolean | SKU ativo? |
| skuData | object | Dados do SKU: id, tenant, sku, skuName, gtin, model, crossdockingDays, supplierCode, erpCode, moderationStatus, productType, productCondition. |
| productData.id | string | ID do Produto pai. |
| priceData | object | Preços: fromPrice, price, costPrice. |
| stockData | object | Estoque: stock (saldo atual), minStock. |
| packageDimensionData | object | Dimensões da embalagem. |
| images | array | Imagens do SKU. |
| attributes | array | Atributos de variação. |
| marketplaces | array | Marketplaces onde o SKU está publicado. |
(GET) /skuseller/{sku}/inventory
API Endpoint
https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/inventory
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/inventory' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
Result example 2xx:
{
"lastUpdate": "1970-01-01T00:00:00.000000",
"productId": "string",
"tenant": "string",
"sku": "string",
"inventory": 0,
"entries": 0,
"out": 0,
"reserves": 0,
"type": "string",
"local": "string"
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Consulta de Estoque do SKU pelo Código de sku do Seller
Path Parameters
| Campo |
Tipo |
Descrição |
| sku |
string |
(required) Código de SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| lastUpdate | datetime | Data da última atualização do estoque. |
| productId | string | ID do Produto pai. |
| tenant | string | Tenant ID do Seller. |
| sku | string | Código do SKU. |
| inventory | integer | Saldo atual de estoque. |
| entries | integer | Total de entradas de estoque. |
| out | integer | Total de saídas de estoque. |
| reserves | integer | Quantidade reservada em pedidos. |
| type | string | Tipo de controle de estoque. |
| local | string | Local do estoque. |
(PUT) /skuseller/{sku}/inventory
API Endpoint
https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/inventory
# Here is a curl example
curl --location --request \
PUT 'https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/inventory \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json' \
--data '{
"tenant": "string",
"inventory": 0,
"type": "string",
"local": "string"
}'
Result example 2xx:
{
"active": true,
"skuData": {
"id": "string",
"tenant": "string",
"sku": "string",
"skuName": "string",
"gtin": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string",
"description": "string",
"descriptionHTML": "string"
},
"productData": {
"id": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
],
"marketplaces": [
{
"marketplace": "string",
"marketPlaceId": "string",
"commissionValue": 0,
"lastUpdate": "1970-01-01T00:00:00.000000",
"active": true
}
]
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Alterar Estoque do SKU pelo Código de sku do Seller
Path Parameters
| Campo |
Tipo |
Descrição |
| sku |
string |
(required) Código de SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Body Parameters
| Campo |
Tipo |
Descrição |
| inventory | integer | (required) Novo saldo de estoque. |
| tenant | string | (optional) Tenant ID do Seller. |
| type | string | (optional) Tipo de controle de estoque. |
| local | string | (optional) Local do estoque. |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| active | boolean | SKU ativo? |
| skuData | object | Dados do SKU. |
| stockData.stock | integer | Novo saldo de estoque após a atualização. |
| stockData.minStock | integer | Estoque mínimo. |
| priceData | object | Preços do SKU. |
| marketplaces | array | Marketplaces onde o SKU está publicado. |
(GET) /skuseller/{sku}/price
API Endpoint
https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/price
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/price' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
Result example 2xx:
{
"lastUpdate": "1970-01-01T00:00:00.000000",
"productId": "string",
"tenant": "string",
"sku": "string",
"fromPrice": 0,
"price": 0,
"costPrice": 0,
"campaigns": {
"id": "string",
"discount": 0
}
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Consulta de Preço do SKU pelo Código de sku do Seller
Path Parameters
| Campo |
Tipo |
Descrição |
| sku |
string |
(required) Código de SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| lastUpdate | datetime | Data da última atualização do preço. |
| productId | string | ID do Produto pai. |
| tenant | string | Tenant ID do Seller. |
| sku | string | Código do SKU. |
| fromPrice | number | Preço de (preço original/riscado). |
| price | number | Preço por (preço de venda). |
| costPrice | number | Preço de custo. |
| campaigns | array | Campanhas de desconto ativas: id, discount. |
(PUT) /skuseller/{sku}/price
API Endpoint
https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/price
# Here is a curl example
curl --location --request \
PUT 'https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/price \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json' \
--data '{
"tenant": "string",
"fromPrice": 0,
"price": 0,
"costPrice": 0
}'
Result example 2xx:
{
"active": true,
"skuData": {
"id": "string",
"tenant": "string",
"sku": "string",
"skuName": "string",
"gtin": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string",
"description": "string",
"descriptionHTML": "string"
},
"productData": {
"id": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
],
"marketplaces": [
{
"marketplace": "string",
"marketPlaceId": "string",
"commissionValue": 0,
"lastUpdate": "1970-01-01T00:00:00.000000",
"active": true
}
]
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Alterar Preço do SKU pelo Código de sku do Seller. Existe validação de trava de preço — se configurada no Hub, preços fora do limite serão rejeitados.
Path Parameters
| Campo |
Tipo |
Descrição |
| sku |
string |
(required) Código de SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Body Parameters
| Campo |
Tipo |
Descrição |
| price | number | (optional) Novo preço de venda. |
| fromPrice | number | (optional) Novo preço de (original/riscado). |
| costPrice | number | (optional) Novo preço de custo. |
| tenant | string | (optional) Tenant ID do Seller. |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| code | integer | Código de resposta. 200 se houve alteração, 202 se não houve mudança. |
| type | string | Tipo de resposta. |
| message | string | Mensagem de confirmação. |
(GET) /skuseller/{sku}/crossdockingdays
API Endpoint
https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/crossdockingdays
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/crossdockingdays' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
Result example 2xx:
{
"lastUpdate": "1970-01-01T00:00:00.000000",
"productId": "string",
"tenant": "string",
"sku": "string",
"fromPrice": 0,
"price": 0,
"costPrice": 0,
"campaigns": {
"id": "string",
"discount": 0
}
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Consulta de Prazo de Crossdocking do SKU pelo Código de sku do Seller
Path Parameters
| Campo |
Tipo |
Descrição |
| sku |
string |
(required) Código de SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| lastUpdate | datetime | Data da última atualização. |
| productId | string | ID do Produto pai. |
| tenant | string | Tenant ID do Seller. |
| sku | string | Código do SKU. |
| crossdockingDays | integer | Prazo de crossdocking em dias. |
(PUT) /skuseller/{sku}/crossdockingdays
API Endpoint
https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/crossdockingdays
# Here is a curl example
curl --location --request \
PUT 'https://api.omnik.io/HUB/v1/products/skus/skuseller/{sku}/crossdockingdays \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json' \
--data '{
"tenant": "string",
"crossdockingDays": 0
}'
Result example 2xx:
{
"active": true,
"skuData": {
"id": "string",
"tenant": "string",
"sku": "string",
"skuName": "string",
"gtin": "string",
"model": "string",
"crossdockingDays": 0,
"supplierCode": "string",
"erpCode": "string",
"establishmentCode": "string",
"moderationStatus": "string",
"moderationDate": "string",
"productType": "string",
"productCondition": "string",
"description": "string",
"descriptionHTML": "string"
},
"productData": {
"id": "string"
},
"codes": [
{
"code": "string"
}
],
"errors": [
{
"code": "string",
"type": "string",
"message": "string"
}
],
"priceData": {
"fromPrice": 0,
"price": 0,
"costPrice": 0
},
"stockData": {
"stock": 0,
"minStock": 0
},
"packageDimensionData": {
"width": 0,
"height": 0,
"depth": 0,
"grossWeight": 0
},
"images": [
{
"thumbnail": "string",
"small": "string",
"average": "string",
"big": "string",
"link": "string",
"main": true,
"number": 0
}
],
"attributes": [
{
"name": "string",
"value": "string"
}
],
"marketplaces": [
{
"marketplace": "string",
"marketPlaceId": "string",
"commissionValue": 0,
"lastUpdate": "1970-01-01T00:00:00.000000",
"active": true
}
]
}
Result example 4xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Result example 5xx:
{
"code": 0,
"type": "string",
"message": "string",
"messages": [
{
"code": 0,
"message": "string"
}
]
}
Alterar Prazo de Crossdocking do SKU pelo Código de sku do Seller
Path Parameters
| Campo |
Tipo |
Descrição |
| sku |
string |
(required) Código de SKU |
Header Parameters
| Campo |
Tipo |
Descrição |
| token |
string |
(required) seu token de acesso |
| application_id |
string |
(required) ID do seu token de acesso |
| seller |
string |
(optional) Tenant ID do Seller (se Operador) |
Body Parameters
| Campo |
Tipo |
Descrição |
| crossdockingDays | integer | (required) Novo prazo de crossdocking em dias. |
| tenant | string | (optional) Tenant ID do Seller. |
Response Parameters (2xx)
| Campo |
Tipo |
Descrição |
| active | boolean | SKU ativo? |
| skuData | object | Dados do SKU com o novo crossdockingDays atualizado. |
| productData.id | string | ID do Produto pai. |
| priceData | object | Preços do SKU. |
| stockData | object | Estoque do SKU. |
| marketplaces | array | Marketplaces onde o SKU está publicado. |